VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- x
- y
- z

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages

### - s -

- sampleRate : VoiceBase< numValues, SamplePrecision, numChannels, GlobalParameterStorage > , BaseController , Filter
- saw : JX10Processor::VOICE , TrackerProcessor
- sb1 : BeatBoxProcessor
- sb2 : BeatBoxProcessor
- sbuf : BeatBoxProcessor
- sbuf2 : BeatBoxProcessor
- sbuflen : BeatBoxProcessor
- sbufpos : BeatBoxProcessor
- scaleFactor : LogScale< T >
- scaleFactorInv : LogScale< T >
- scaleHeadRoom : VoiceStatics
- scaleNorm2GainC1 : VoiceStatics
- scaleNorm2GainC2 : VoiceStatics
- sdel : BeatBoxProcessor
- semi : DetuneProcessor , JX10Processor
- sf1 : BeatBoxProcessor
- sf2 : BeatBoxProcessor
- sf3 : BeatBoxProcessor
- sfx : BeatBoxProcessor
- sh1 : DitherProcessor
- sh2 : DitherProcessor
- sh3 : DitherProcessor
- sh4 : DitherProcessor
- shap : DitherProcessor
- shp : LeslieProcessor
- sig : TrackerProcessor
- sin0 : JX10Processor::VOICE
- sin02 : JX10Processor::VOICE
- sin1 : JX10Processor::VOICE
- sin12 : JX10Processor::VOICE
- sinusDetune : GlobalParameterState
- sinusPhase : Voice< SamplePrecision >
- sinusVolume : GlobalParameterState
- sinx : JX10Processor::VOICE
- sinx2 : JX10Processor::VOICE
- size : RePsychoProcessor , AmbienceProcessor , ComboProcessor , DelayProcessor , DubDelayProcessor , EPianoProcessor , LeslieProcessor , PianoProcessor , StereoProcessor , ThruZeroProcessor
- sizeFactor : HostCheckerController
- sizeFunc : EditorSizeController
- sizeParameter : EditorSizeController
- sizevel : EPianoProcessor , PianoProcessor
- slev : BandistoProcessor , BeatBoxProcessor , MultiBandProcessor
- slp : LeslieProcessor
- SMTG_OVERRIDE : BaseController , AGainController
- snaPanLeft : JX10Processor::VOICE
- snaPanRight : JX10Processor::VOICE
- snaPitchbend : JX10Processor::VOICE
- snaVolume : JX10Processor::VOICE
- squareVolume : GlobalParameterState
- srcMin : LogScale< T >
- srcScale : LogScale< T >
- srcScaleInv : LogScale< T >
- stateTransfer : Processor
- ster : ComboProcessor
- sthr : BeatBoxProcessor
- stretch : PianoProcessor , EPianoProcessor
- sus : JX10Processor
- sustain : SynthData< VoiceT, kEventBufferSize, kNumVoices >
- sw : TestToneProcessor
- swap : TalkBoxProcessor
- swd : TestToneProcessor
- swt : TestToneProcessor
- swx : TestToneProcessor
- synthData : EPianoProcessor , DX10Processor , JX10Processor , PianoProcessor

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.